Subject: bug#65039: 30.0.50; [PATCH] Add bookmark handler for M-x shell

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Sep 2023 14:42:23 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 3 Sep 2023 04:15:57 -0700
> Cc: Protesilaos Stavrou <[email-masked]>, [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> The revised patch includes a possible update to the manual.  Are those
> >> examples sufficient?
> >
> > I guess so, thanks.
> 
> Just to let you know, I had an issue with applying the patch, and had to
> manually edit it:
> 
>   1 git … am --3way -- ~/wip/emacs/0001-Add-bookmark-handler-for-M-x-shell.patch
> Line longer than 78 characters in commit message
> Commit aborted; please see the file CONTRIBUTE
> 
> Also, when the bug number is known, it is good if you can include it
> somewhere in the commit message.
> 
> I was going to review and install this patch, but I noticed that there
> was some further discussion in a subthread regarding some Tramp stuff?
> Should that be resolved first, or is this ready as-is?

Yes, I think those issues need to be resolved first.  I only reviewed
part of the patch.